DevelopmentWebApplicationContext (Grails 5.3.2)

Package: grails.ui.support

## [Groovy] Class DevelopmentWebApplicationContext

- grails.ui.support.DevelopmentWebApplicationContext

-     @groovy.transform.InheritConstructors
      class DevelopmentWebApplicationContext
      extends org.springframework.web.context.support.GenericWebApplicationContext

  A org.springframework.web.context.WebApplicationContext used during development for things like running scripts and loading the console UI @since

  Authors:
    Graeme Rocher

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.context.support.GenericWebApplicationContext` | `APPLICATION_CONTEXT_ID_PREFIX, SERVLET_CONFIG_BEAN_NAME, ROOT_WEB_APPLICATION_CONTEXT_ATTRIBUTE, SCOPE_REQUEST, SCOPE_SESSION, SCOPE_APPLICATION, SERVLET_CONTEXT_BEAN_NAME, CONTEXT_PARAMETERS_BEAN_NAME, CONTEXT_ATTRIBUTES_BEAN_NAME, FACTORY_BEAN_PREFIX, CLASSPATH_ALL_URL_PREFIX, CLASSPATH_URL_PREFIX, CONFIG_LOCATION_DELIMITERS, CONVERSION_SERVICE_BEAN_NAME, LOAD_TIME_WEAVER_BEAN_NAME, ENVIRONMENT_BEAN_NAME, SYSTEM_PROPERTIES_BEAN_NAME, SYSTEM_ENVIRONMENT_BEAN_NAME, APPLICATION_STARTUP_BEAN_NAME, SHUTDOWN_HOOK_THREAD_NAME, MESSAGE_SOURCE_BEAN_NAME, LIFECYCLE_PROCESSOR_BEAN_NAME, APPLICATION_EVENT_MULTICASTER_BEAN_NAME, CLASSPATH_URL_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DevelopmentWebApplicationContext ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.context.support.GenericWebApplicationContext` | `org.springframework.web.context.support.GenericWebApplicationContext#getNamespace(), org.springframework.web.context.support.GenericWebApplicationContext#getApplicationName(), org.springframework.web.context.support.GenericWebApplicationContext#setNamespace(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#setServletContext(javax.servlet.ServletContext), org.springframework.web.context.support.GenericWebApplicationContext#getServletContext(), org.springframework.web.context.support.GenericWebApplicationContext#setConfigLocation(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#setConfigLocations([Ljava.lang.String;), org.springframework.web.context.support.GenericWebApplicationContext#getConfigLocations(), org.springframework.web.context.support.GenericWebApplicationContext#getServletConfig(), org.springframework.web.context.support.GenericWebApplicationContext#setServletConfig(javax.servlet.ServletConfig), org.springframework.web.context.support.GenericWebApplicationContext#getTheme(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#setResourceLoader(org.springframework.core.io.ResourceLoader), org.springframework.web.context.support.GenericWebApplicationContext#isAlias(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#getAutowireCapableBeanFactory(), org.springframework.web.context.support.GenericWebApplicationContext#getBeanFactory(), org.springframework.web.context.support.GenericWebApplicationContext#setApplicationStartup(org.springframework.core.metrics.ApplicationStartup), org.springframework.web.context.support.GenericWebApplicationContext#setAllowBeanDefinitionOverriding(boolean), org.springframework.web.context.support.GenericWebApplicationContext#setAllowCircularReferences(boolean), org.springframework.web.context.support.GenericWebApplicationContext#getDefaultListableBeanFactory(), org.springframework.web.context.support.GenericWebApplicationContext#registerBeanDefinition(java.lang.String, org.springframework.beans.factory.config.BeanDefinition), org.springframework.web.context.support.GenericWebApplicationContext#removeBeanDefinition(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#getBeanDefinition(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#removeAlias(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#registerBean(java.lang.String, java.lang.Class, [Ljava.lang.Object;), org.springframework.web.context.support.GenericWebApplicationContext#registerBean(java.lang.Class, [Lorg.springframework.beans.factory.config.BeanDefinitionCustomizer;), org.springframework.web.context.support.GenericWebApplicationContext#registerBean(java.lang.String, java.lang.Class, [Lorg.springframework.beans.factory.config.BeanDefinitionCustomizer;), org.springframework.web.context.support.GenericWebApplicationContext#registerBean(java.lang.Class, java.util.function.Supplier, [Lorg.springframework.beans.factory.config.BeanDefinitionCustomizer;), org.springframework.web.context.support.GenericWebApplicationContext#registerBean(java.lang.Class, [Ljava.lang.Object;), org.springframework.web.context.support.GenericWebApplicationContext#registerBean(java.lang.String, java.lang.Class, java.util.function.Supplier, [Lorg.springframework.beans.factory.config.BeanDefinitionCustomizer;), org.springframework.web.context.support.GenericWebApplicationContext#isBeanNameInUse(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#registerAlias(java.lang.String, java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#setClassLoader(java.lang.ClassLoader), org.springframework.web.context.support.GenericWebApplicationContext#getClassLoader(), org.springframework.web.context.support.GenericWebApplicationContext#getResource(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#getResources(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#setParent(org.springframework.context.ApplicationContext), org.springframework.web.context.support.GenericWebApplicationContext#isActive(), org.springframework.web.context.support.GenericWebApplicationContext#setId(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#getBean(java.lang.Class, [Ljava.lang.Object;), org.springframework.web.context.support.GenericWebApplicationContext#getBean(java.lang.String, java.lang.Class), org.springframework.web.context.support.GenericWebApplicationContext#getBean(java.lang.Class), org.springframework.web.context.support.GenericWebApplicationContext#getBean(java.lang.String, [Ljava.lang.Object;), org.springframework.web.context.support.GenericWebApplicationContext#getBean(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#getEnvironment(), org.springframework.web.context.support.GenericWebApplicationContext#getEnvironment(), org.springframework.web.context.support.GenericWebApplicationContext#setEnvironment(org.springframework.core.env.ConfigurableEnvironment), org.springframework.web.context.support.GenericWebApplicationContext#isSingleton(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#getAliases(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#setDisplayName(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#isRunning(), org.springframework.web.context.support.GenericWebApplicationContext#getBeanProvider(java.lang.Class, boolean), org.springframework.web.context.support.GenericWebApplicationContext#getBeanProvider(org.springframework.core.ResolvableType, boolean), org.springframework.web.context.support.GenericWebApplicationContext#getBeanProvider(java.lang.Class), org.springframework.web.context.support.GenericWebApplicationContext#getBeanProvider(org.springframework.core.ResolvableType), org.springframework.web.context.support.GenericWebApplicationContext#getStartupDate(), org.springframework.web.context.support.GenericWebApplicationContext#containsBean(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#isPrototype(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#isTypeMatch(java.lang.String, java.lang.Class), org.springframework.web.context.support.GenericWebApplicationContext#isTypeMatch(java.lang.String, org.springframework.core.ResolvableType), org.springframework.web.context.support.GenericWebApplicationContext#getBeansOfType(java.lang.Class, boolean, boolean), org.springframework.web.context.support.GenericWebApplicationContext#getBeansOfType(java.lang.Class), org.springframework.web.context.support.GenericWebApplicationContext#getParentBeanFactory(), org.springframework.web.context.support.GenericWebApplicationContext#containsLocalBean(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#publishEvent(org.springframework.context.ApplicationEvent), org.springframework.web.context.support.GenericWebApplicationContext#publishEvent(java.lang.Object), org.springframework.web.context.support.GenericWebApplicationContext#containsBeanDefinition(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#getBeanDefinitionCount(), org.springframework.web.context.support.GenericWebApplicationContext#getBeanDefinitionNames(), org.springframework.web.context.support.GenericWebApplicationContext#getBeanNamesForType(java.lang.Class, boolean, boolean), org.springframework.web.context.support.GenericWebApplicationContext#getBeanNamesForType(java.lang.Class), org.springframework.web.context.support.GenericWebApplicationContext#getBeanNamesForType(org.springframework.core.ResolvableType), org.springframework.web.context.support.GenericWebApplicationContext#getBeanNamesForType(org.springframework.core.ResolvableType, boolean, boolean), org.springframework.web.context.support.GenericWebApplicationContext#getBeanNamesForAnnotation(java.lang.Class), org.springframework.web.context.support.GenericWebApplicationContext#getBeansWithAnnotation(java.lang.Class), org.springframework.web.context.support.GenericWebApplicationContext#findAnnotationOnBean(java.lang.String, java.lang.Class), org.springframework.web.context.support.GenericWebApplicationContext#findAnnotationOnBean(java.lang.String, java.lang.Class, boolean), org.springframework.web.context.support.GenericWebApplicationContext#getApplicationStartup(), org.springframework.web.context.support.GenericWebApplicationContext#addBeanFactoryPostProcessor(org.springframework.beans.factory.config.BeanFactoryPostProcessor), org.springframework.web.context.support.GenericWebApplicationContext#addApplicationListener(org.springframework.context.ApplicationListener), org.springframework.web.context.support.GenericWebApplicationContext#getBeanFactoryPostProcessors(), org.springframework.web.context.support.GenericWebApplicationContext#getApplicationListeners(), org.springframework.web.context.support.GenericWebApplicationContext#refresh(), org.springframework.web.context.support.GenericWebApplicationContext#toString(), org.springframework.web.context.support.GenericWebApplicationContext#getParent(), org.springframework.web.context.support.GenericWebApplicationContext#getMessage(org.springframework.context.MessageSourceResolvable, java.util.Locale), org.springframework.web.context.support.GenericWebApplicationContext#getMessage(java.lang.String, [Ljava.lang.Object;, java.util.Locale), org.springframework.web.context.support.GenericWebApplicationContext#getMessage(java.lang.String, [Ljava.lang.Object;, java.lang.String, java.util.Locale), org.springframework.web.context.support.GenericWebApplicationContext#start(), org.springframework.web.context.support.GenericWebApplicationContext#stop(), org.springframework.web.context.support.GenericWebApplicationContext#destroy(), org.springframework.web.context.support.GenericWebApplicationContext#getId(), org.springframework.web.context.support.GenericWebApplicationContext#close(), org.springframework.web.context.support.GenericWebApplicationContext#getType(java.lang.String), org.springframework.web.context.support.GenericWebApplicationContext#getType(java.lang.String, boolean), org.springframework.web.context.support.GenericWebApplicationContext#registerShutdownHook(), org.springframework.web.context.support.GenericWebApplicationContext#getDisplayName(), org.springframework.web.context.support.GenericWebApplicationContext#addProtocolResolver(org.springframework.core.io.ProtocolResolver), org.springframework.web.context.support.GenericWebApplicationContext#getProtocolResolvers(), org.springframework.web.context.support.GenericWebApplicationContext#clearResourceCaches(), org.springframework.web.context.support.GenericWebApplicationContext#getResourceCache(java.lang.Class), org.springframework.web.context.support.GenericWebApplicationContext#wait(long, int), org.springframework.web.context.support.GenericWebApplicationContext#wait(long), org.springframework.web.context.support.GenericWebApplicationContext#wait(), org.springframework.web.context.support.GenericWebApplicationContext#equals(java.lang.Object), org.springframework.web.context.support.GenericWebApplicationContext#hashCode(), org.springframework.web.context.support.GenericWebApplicationContext#getClass(), org.springframework.web.context.support.GenericWebApplicationContext#notify(), org.springframework.web.context.support.GenericWebApplicationContext#notifyAll()`

- - ### Constructor Detail

    - #### DevelopmentWebApplicationContext()